@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

:root {
    --bs-primary: #05976A;
    --bs-secondary: #DC2625;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

img {
    height: revert-layer;
    display: inline;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: revert-layer;
    font-weight: 600;
}

.vendor-auth .auth-container {
    background-color: #fff;
    border-radius: 30px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.35);
    position: relative;
    overflow: hidden;
    width: 768px;
    max-width: 100%;
    min-height: 630px;
}

.vendor-auth p {
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.3px;
    margin: 20px 0;
}

.vendor-auth span {
    font-size: 12px;
}

.vendor-auth button {
    background-color: var(--bs-primary);
    color: #fff;
    font-size: 12px;
    padding: 10px 45px;
    border: 1px solid transparent;
    border-radius: 8px;
    font-weight: 600;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    margin-top: 10px;
    cursor: pointer;
}

.vendor-auth button.hidden {
    background-color: transparent;
    border-color: #fff;
}

.form-select {
    display: block;
    width: 100%;
    padding: .375rem 2.25rem .375rem .75rem;
    -moz-padding-start: calc(0.75rem - 3px);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right .75rem center;
    background-size: 16px 12px;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.vendor-auth select,
.vendor-auth .form-control {
    background-color: var(--bs-gray-100);
    padding: 10px 15px;
    font-size: 13px;
    border-radius: 5px;
    /* outline: none; */
}

.form-container {
    position: absolute;
    top: 0;
    height: 100%;
    transition: all 0.6s ease-in-out;
}

.sign-in {
    left: 0;
    width: 50%;
    z-index: 2;
}

.vendor-auth.active .sign-in {
    transform: translateX(100%);
}

.login__logo {
    margin-bottom: 0.5rem;
}

.login__logo a {
    margin: 0;
}

.sign-up {
    left: 0;
    width: 50%;
    opacity: 0;
    z-index: 1;
}

.vendor-auth.active .sign-up {
    transform: translateX(100%);
    opacity: 1;
    z-index: 5;
    animation: move 0.6s;
}

@keyframes move {

    0%,
    49.99% {
        opacity: 0;
        z-index: 1;
    }

    50%,
    100% {
        opacity: 1;
        z-index: 5;
    }
}

.social-icons {
    margin: 10px 0 20px;
}

.social-icons a {
    border: 1px solid #ccc;
    border-radius: 20%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0 3px;
    width: 40px;
    height: 40px;
}

.toggle-container {
    position: absolute;
    top: 0;
    left: 50%;
    width: 50%;
    height: 100%;
    overflow: hidden;
    transition: all 0.6s ease-in-out;
    border-radius: 50px 0 0 50px;
    z-index: 1000;
}

.vendor-auth.active .toggle-container {
    transform: translateX(-100%);
    border-radius: 0 50px 50px 0;
}

.toggle {
    background-color: var(--bs-primary);
    height: 100%;
    background: radial-gradient(rgb(255 80 79) 10%, var(--bs-primary) 100%);
    color: #fff;
    position: relative;
    left: -100%;
    height: 100%;
    width: 200%;
    transform: translateX(0);
    transition: all 0.6s ease-in-out;
}

.toggle {
    /* width: 100vw; */
    /* height: 100vh; */
    background: linear-gradient(to right, #006a4e, #007a55);
    /* gradient green background */
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.toggle::before {
    content: "";
    position: absolute;
    left: 75%;
    /* shift to left like the flag */
    top: 50%;
    transform: translate(-50%, -50%);
    width: 25vmin;
    height: 25vmin;
    background: radial-gradient(circle at center, #f42a41, #d8233a);
    /* gradient red */
    border-radius: 50%;
    z-index: -1;
}

.vendor-auth.active .toggle::before {
    left: 25%;
}

.toggle>* {
    position: relative;
    z-index: 2;
}

.vendor-auth.active .toggle {
    transform: translateX(50%);
}

.toggle-panel {
    position: absolute;
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 60px;
    text-align: center;
    top: 0;
    transform: translateX(0);
    transition: all 0.6s ease-in-out;
}

.toggle-left {
    transform: translateX(-200%);
}

.vendor-auth.active .toggle-left {
    transform: translateX(0);
}

.toggle-right {
    right: 0;
    transform: translateX(0);
}

.vendor-auth.active .toggle-right {
    transform: translateX(200%);
}

/* Responsive Styles */
@media (max-width: 991px) {
    .vendor-auth {
        width: 100%;
        min-height: auto;
        border-radius: 20px;
    }

    .form-container,
    .sign-in,
    .sign-up,
    .toggle-container,
    .toggle,
    .toggle-panel {
        width: 100%;
        transform: none !important;
        position: relative;
        left: 0;
        height: auto;
        padding: 2rem;
    }

    .toggle,
    .toggle-panel {
        padding: 0.5rem;
    }

    .form-container {
        position: relative;
        height: auto;
        padding: 20px;
    }

    .vendor-auth.active .sign-in,
    .vendor-auth.active .sign-up {
        transform: none;
    }

    .sign-up {
        opacity: 1;
        z-index: 2;
    }

    .sign-in {
        z-index: 1;
    }

    .vendor-auth.active .sign-in {
        display: none;
    }

    .vendor-auth:not(.active) .sign-up {
        display: none;
    }

    .toggle-container {
        transform: none !important;
        position: relative;
        height: fit-content;
        left: 0;
        overflow: visible;
        padding: 0;
    }

    .vendor-auth form {
        padding: 20px;
    }

    .toggle-panel *:not(button) {
        display: none;
    }

    .vendor-auth input {
        font-size: 14px;
        padding: 10px 12px;
    }

    .vendor-auth button {
        width: 100%;
        padding: 10px;
        font-size: 14px;
    }

    .toggle-container button {
        margin-top: 0;
    }

    .vendor-auth .toggle-left {
        display: none;
    }

    .vendor-auth .toggle-right {
        display: block;
    }

    .vendor-auth.active .toggle-left {
        display: block;
    }

    .vendor-auth.active .toggle-right {
        display: none;
    }

    .social-icons {
        flex-wrap: wrap;
        justify-content: center;
    }

    .social-icons a {
        margin: 2px;
        width: 34px;
        height: 34px;
    }
}

@media (max-width: 575px) {
    .vendor-auth form {
        padding: 0;
    }
}
